XMSSPrivateKeyParameters.Builder (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.pqc.crypto.xmss

## Class XMSSPrivateKeyParameters.Builder

- java.lang.Object
- - org.bouncycastle.pqc.crypto.xmss.XMSSPrivateKeyParameters.Builder

- Enclosing class:
    XMSSPrivateKeyParameters

      public static class XMSSPrivateKeyParameters.Builder
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Builder(XMSSParameters params)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `XMSSPrivateKeyParameters` | `build()`
    `XMSSPrivateKeyParameters.Builder` | `withBDSState(BDS valBDS)`
    `XMSSPrivateKeyParameters.Builder` | `withIndex(int val)`
    `XMSSPrivateKeyParameters.Builder` | `withMaxIndex(int val)`
    `XMSSPrivateKeyParameters.Builder` | `withPrivateKey(byte[] privateKeyVal)`
    `XMSSPrivateKeyParameters.Builder` | `withPublicSeed(byte[] val)`
    `XMSSPrivateKeyParameters.Builder` | `withRoot(byte[] val)`
    `XMSSPrivateKeyParameters.Builder` | `withSecretKeyPRF(byte[] val)`
    `XMSSPrivateKeyParameters.Builder` | `withSecretKeySeed(byte[] val)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Builder

          public Builder(XMSSParameters params)

  - ### Method Detail

    - #### withIndex

          public XMSSPrivateKeyParameters.Builder withIndex(int val)

    - #### withMaxIndex

          public XMSSPrivateKeyParameters.Builder withMaxIndex(int val)

    - #### withSecretKeySeed

          public XMSSPrivateKeyParameters.Builder withSecretKeySeed(byte[] val)

    - #### withSecretKeyPRF

          public XMSSPrivateKeyParameters.Builder withSecretKeyPRF(byte[] val)

    - #### withPublicSeed

          public XMSSPrivateKeyParameters.Builder withPublicSeed(byte[] val)

    - #### withRoot

          public XMSSPrivateKeyParameters.Builder withRoot(byte[] val)

    - #### withBDSState

          public XMSSPrivateKeyParameters.Builder withBDSState(BDS valBDS)

    - #### withPrivateKey

          public XMSSPrivateKeyParameters.Builder withPrivateKey(byte[] privateKeyVal)

    - #### build

          public XMSSPrivateKeyParameters build()